////////////////////////////////
// Iconview_DLL Program
// Copyright 2021 by Ysama
// A utility to select a bitmap
// in an icon or cursor file
////////////////////////////////
#include	"IconView_DLL.h"
#include	"IconView.h"

//ICONVIEW_DLGクラスのインスタンス（iconview_dlg）はIconview_DLL.hで定義済

bool WINAPI DllMain(HINSTANCE hInstance, DWORD fdwReason, LPVOID lpReserved) {

	//ICONVIEW_DLGクラスメンバー変数の初期化
	iconview_dlg.m_hInstance = hInstance;
	return TRUE;
}

EXPORT GetBitmapOfIcon(char *FileName, int iType) {

	//ICONVIEW_DLGクラスメンバー変数の初期化
	lstrcpy(iconview_dlg.m_FileName, FileName);
	iconview_dlg.m_ImageType = iType;
	//モーダルダイアログとして起動
	return iconview_dlg.DoModal(NULL, "IDD_ICONVIEW", iconview_dlgProc,
								iconview_dlg.m_hInstance);
}
